org.apache.cassandra.config

## Class KSMetaData

- java.lang.Object
- - org.apache.cassandra.config.KSMetaData

    public final class KSMetaData
    extends java.lang.Object

### Field Summary

Fields
`boolean` `durableWrites`
`java.lang.String` `name`
`java.lang.Class<? extends AbstractReplicationStrategy>` `strategyClass`
`java.util.Map<java.lang.String,java.lang.String>` `strategyOptions`
`UTMetaData` `userTypes`

### Constructor Summary

Constructors
Constructor and Description
`KSMetaData(java.lang.String name, java.lang.Class<? extends AbstractReplicationStrategy> strategyClass, java.util.Map<java.lang.String,java.lang.String> strategyOptions, boolean durableWrites)`
`KSMetaData(java.lang.String name, java.lang.Class<? extends AbstractReplicationStrategy> strategyClass, java.util.Map<java.lang.String,java.lang.String> strategyOptions, boolean durableWrites, java.lang.Iterable<CFMetaData> cfDefs)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.Map<java.lang.String,CFMetaData>` `cfMetaData()`
`KSMetaData` `cloneWith(java.lang.Iterable<CFMetaData> tables, UTMetaData types)`
`KSMetaData` `cloneWithTableAdded(CFMetaData table)`
`KSMetaData` `cloneWithTableRemoved(CFMetaData table)`
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`static KSMetaData` `newKeyspace(java.lang.String name, java.lang.Class<? extends AbstractReplicationStrategy> strategyClass, java.util.Map<java.lang.String,java.lang.String> options, boolean durablesWrites, java.lang.Iterable<CFMetaData> cfDefs)`
`static KSMetaData` `newKeyspace(java.lang.String name, java.lang.String strategyName, java.util.Map<java.lang.String,java.lang.String> options, boolean durableWrites)`
`static java.util.Map<java.lang.String,java.lang.String>` `optsWithRF(java.lang.Integer rf)`
`static KSMetaData` `testMetadata(java.lang.String name, java.lang.Class<? extends AbstractReplicationStrategy> strategyClass, java.util.Map<java.lang.String,java.lang.String> strategyOptions, CFMetaData... cfDefs)`
`static KSMetaData` `testMetadataNotDurable(java.lang.String name, java.lang.Class<? extends AbstractReplicationStrategy> strategyClass, java.util.Map<java.lang.String,java.lang.String> strategyOptions, CFMetaData... cfDefs)`
`java.lang.String` `toString()`
`KSMetaData` `validate()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public final java.lang.String name

#### strategyClass

    public final java.lang.Class<? extends AbstractReplicationStrategy> strategyClass

#### strategyOptions

    public final java.util.Map<java.lang.String,java.lang.String> strategyOptions

#### durableWrites

    public final boolean durableWrites

#### userTypes

    public final UTMetaData userTypes

### Constructor Detail

#### KSMetaData

    public KSMetaData(java.lang.String name,
                      java.lang.Class<? extends AbstractReplicationStrategy> strategyClass,
                      java.util.Map<java.lang.String,java.lang.String> strategyOptions,
                      boolean durableWrites)

#### KSMetaData

    public KSMetaData(java.lang.String name,
                      java.lang.Class<? extends AbstractReplicationStrategy> strategyClass,
                      java.util.Map<java.lang.String,java.lang.String> strategyOptions,
                      boolean durableWrites,
                      java.lang.Iterable<CFMetaData> cfDefs)

### Method Detail

#### newKeyspace

    public static KSMetaData newKeyspace(java.lang.String name,
                                         java.lang.String strategyName,
                                         java.util.Map<java.lang.String,java.lang.String> options,
                                         boolean durableWrites)
                                  throws ConfigurationException

Throws:
  `ConfigurationException`

#### newKeyspace

    public static KSMetaData newKeyspace(java.lang.String name,
                                         java.lang.Class<? extends AbstractReplicationStrategy> strategyClass,
                                         java.util.Map<java.lang.String,java.lang.String> options,
                                         boolean durablesWrites,
                                         java.lang.Iterable<CFMetaData> cfDefs)

#### cloneWithTableRemoved

    public KSMetaData cloneWithTableRemoved(CFMetaData table)

#### cloneWithTableAdded

    public KSMetaData cloneWithTableAdded(CFMetaData table)

#### cloneWith

    public KSMetaData cloneWith(java.lang.Iterable<CFMetaData> tables,
                                UTMetaData types)

#### testMetadata

    public static KSMetaData testMetadata(java.lang.String name,
                                          java.lang.Class<? extends AbstractReplicationStrategy> strategyClass,
                                          java.util.Map<java.lang.String,java.lang.String> strategyOptions,
                                          CFMetaData... cfDefs)

#### testMetadataNotDurable

    public static KSMetaData testMetadataNotDurable(java.lang.String name,
                                                    java.lang.Class<? extends AbstractReplicationStrategy> strategyClass,
                                                    java.util.Map<java.lang.String,java.lang.String> strategyOptions,
                                                    CFMetaData... cfDefs)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### cfMetaData

    public java.util.Map<java.lang.String,CFMetaData> cfMetaData()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### optsWithRF

    public static java.util.Map<java.lang.String,java.lang.String> optsWithRF(java.lang.Integer rf)

#### validate

    public KSMetaData validate()
                        throws ConfigurationException

Throws:
  `ConfigurationException`